sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"},{"id":"Mix Tasks","anchor":"mix-tasks"}]},{"id":"readme","title":"Introduction to Money","group":"","headers":[{"id":"Prerequisities","anchor":"prerequisities"},{"id":"Exchange rates and currency conversion","anchor":"exchange-rates-and-currency-conversion"},{"id":"Configuration","anchor":"configuration"},{"id":"The Exchange rates service process supervision and startup","anchor":"the-exchange-rates-service-process-supervision-and-startup"},{"id":"Using Ecto or other applications from within the callback module","anchor":"using-ecto-or-other-applications-from-within-the-callback-module"},{"id":"API Usage Examples","anchor":"api-usage-examples"},{"id":"Subscriptions","anchor":"subscriptions"},{"id":"Serializing to a Postgres database with Ecto","anchor":"serializing-to-a-postgres-database-with-ecto"},{"id":"Serializing to a MySQL (or other non-Postgres) database with Ecto","anchor":"serializing-to-a-mysql-or-other-non-postgres-database-with-ecto"},{"id":"Postgres Database functions","anchor":"postgres-database-functions"},{"id":"Installation","anchor":"installation"},{"id":"Why yet another Money package?","anchor":"why-yet-another-money-package"},{"id":"Falsehoods programmers believe about prices","anchor":"falsehoods-programmers-believe-about-prices"}]},{"id":"changelog","title":"Changelog for Cldr v3.4.2","group":"","headers":[]},{"id":"license","title":"LICENSE","group":"","headers":[{"id":"License","anchor":"license"}]}],"exceptions":[{"id":"Money.ExchangeRateError","title":"Money.ExchangeRateError","group":""},{"id":"Money.Invalid","title":"Money.Invalid","group":""},{"id":"Money.InvalidAmountError","title":"Money.InvalidAmountError","group":""},{"id":"Money.UnknownCurrencyError","title":"Money.UnknownCurrencyError","group":""},{"id":"Money.Subscription.DateError","title":"Money.Subscription.DateError","group":"Subscriptions"},{"id":"Money.Subscription.NoCurrentPlan","title":"Money.Subscription.NoCurrentPlan","group":"Subscriptions"},{"id":"Money.Subscription.PlanError","title":"Money.Subscription.PlanError","group":"Subscriptions"},{"id":"Money.Subscription.PlanPending","title":"Money.Subscription.PlanPending","group":"Subscriptions"}],"modules":[{"id":"Money","title":"Money","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"amount/0","anchor":"t:amount/0"},{"id":"currency_code/0","anchor":"t:currency_code/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"add/2","anchor":"add/2"},{"id":"add!/2","anchor":"add!/2"},{"id":"cmp/2","anchor":"cmp/2"},{"id":"cmp!/2","anchor":"cmp!/2"},{"id":"compare/2","anchor":"compare/2"},{"id":"compare!/2","anchor":"compare!/2"},{"id":"cross_rate/3","anchor":"cross_rate/3"},{"id":"cross_rate!/3","anchor":"cross_rate!/3"},{"id":"div/2","anchor":"div/2"},{"id":"div!/2","anchor":"div!/2"},{"id":"equal?/2","anchor":"equal?/2"},{"id":"from_float/2","anchor":"from_float/2"},{"id":"from_float!/2","anchor":"from_float!/2"},{"id":"from_integer/2","anchor":"from_integer/2"},{"id":"get_env/3","anchor":"get_env/3"},{"id":"known_currencies/0","anchor":"known_currencies/0"},{"id":"known_current_currencies/0","anchor":"known_current_currencies/0"},{"id":"known_historic_currencies/0","anchor":"known_historic_currencies/0"},{"id":"known_tender_currencies/0","anchor":"known_tender_currencies/0"},{"id":"mult/2","anchor":"mult/2"},{"id":"mult!/2","anchor":"mult!/2"},{"id":"new/3","anchor":"new/3"},{"id":"new!/2","anchor":"new!/2"},{"id":"parse/2","anchor":"parse/2"},{"id":"put_fraction/2","anchor":"put_fraction/2"},{"id":"reduce/1","anchor":"reduce/1"},{"id":"round/2","anchor":"round/2"},{"id":"split/2","anchor":"split/2"},{"id":"sub/2","anchor":"sub/2"},{"id":"sub!/2","anchor":"sub!/2"},{"id":"to_currency/3","anchor":"to_currency/3"},{"id":"to_currency!/3","anchor":"to_currency!/3"},{"id":"to_decimal/1","anchor":"to_decimal/1"},{"id":"to_integer_exp/2","anchor":"to_integer_exp/2"},{"id":"to_string/2","anchor":"to_string/2"},{"id":"to_string!/2","anchor":"to_string!/2"},{"id":"validate_currency/1","anchor":"validate_currency/1"},{"id":"zero/1","anchor":"zero/1"}]}]},{"id":"Money.Application","title":"Money.Application","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"start/2","anchor":"start/2"}]}]},{"id":"Money.Currency","title":"Money.Currency","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"currency_for_code/1","anchor":"currency_for_code/1"},{"id":"known_current_currencies/0","anchor":"known_current_currencies/0"},{"id":"known_historic_currencies/0","anchor":"known_historic_currencies/0"},{"id":"known_tender_currencies/0","anchor":"known_tender_currencies/0"}]}]},{"id":"Money.DDL","title":"Money.DDL","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"create_money_with_currency/1","anchor":"create_money_with_currency/1"},{"id":"define_aggregate_functions/1","anchor":"define_aggregate_functions/1"},{"id":"drop_aggregate_functions/1","anchor":"drop_aggregate_functions/1"},{"id":"drop_money_with_currency/1","anchor":"drop_money_with_currency/1"},{"id":"execute/1","anchor":"execute/1"},{"id":"execute_each/1","anchor":"execute_each/1"}]}]},{"id":"Money.Financial","title":"Money.Financial","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"future_value/2","anchor":"future_value/2"},{"id":"future_value/3","anchor":"future_value/3"},{"id":"interest_rate/3","anchor":"interest_rate/3"},{"id":"internal_rate_of_return/1","anchor":"internal_rate_of_return/1"},{"id":"net_present_value/2","anchor":"net_present_value/2"},{"id":"net_present_value/3","anchor":"net_present_value/3"},{"id":"net_present_value/4","anchor":"net_present_value/4"},{"id":"payment/3","anchor":"payment/3"},{"id":"periods/3","anchor":"periods/3"},{"id":"present_value/2","anchor":"present_value/2"},{"id":"present_value/3","anchor":"present_value/3"}]}]},{"id":"Money.Sigil","title":"Money.Sigil","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"sigil_M/2","anchor":"sigil_M/2"},{"id":"validate_currency!/1","anchor":"validate_currency!/1"}]}]},{"id":"Money.ExchangeRates","title":"Money.ExchangeRates","group":"Exchange Rates","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"config/0","anchor":"config/0"},{"id":"default_config/0","anchor":"default_config/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"latest_rates_available?/0","anchor":"latest_rates_available?/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"decode_rates/1","anchor":"c:decode_rates/1"},{"id":"get_historic_rates/2","anchor":"c:get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"c:get_latest_rates/1"},{"id":"init/1","anchor":"c:init/1"}]}]},{"id":"Money.ExchangeRates.Cache","title":"Money.ExchangeRates.Cache","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"cache/0","anchor":"cache/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"latest_rates/0","anchor":"latest_rates/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"historic_rates/1","anchor":"c:historic_rates/1"},{"id":"init/0","anchor":"c:init/0"},{"id":"latest_rates/0","anchor":"c:latest_rates/0"},{"id":"store_historic_rates/2","anchor":"c:store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"c:store_latest_rates/2"},{"id":"terminate/0","anchor":"c:terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.Dets","title":"Money.ExchangeRates.Cache.Dets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"get/1","anchor":"get/1"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"init/0","anchor":"init/0"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"put/2","anchor":"put/2"},{"id":"store_historic_rates/2","anchor":"store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"store_latest_rates/2"},{"id":"terminate/0","anchor":"terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.Ets","title":"Money.ExchangeRates.Cache.Ets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"get/1","anchor":"get/1"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"init/0","anchor":"init/0"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"put/2","anchor":"put/2"},{"id":"store_historic_rates/2","anchor":"store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"store_latest_rates/2"},{"id":"terminate/0","anchor":"terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.EtsDets","title":"Money.ExchangeRates.Cache.EtsDets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"define_common_functions/0","anchor":"define_common_functions/0"}]}]},{"id":"Money.ExchangeRates.Callback","title":"Money.ExchangeRates.Callback","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"historic_rates_retrieved/2","anchor":"historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"latest_rates_retrieved/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"historic_rates_retrieved/2","anchor":"c:historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"c:latest_rates_retrieved/2"}]}]},{"id":"Money.ExchangeRates.Config","title":"Money.ExchangeRates.Config","group":"Exchange Rates","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]}]},{"id":"Money.ExchangeRates.OpenExchangeRates","title":"Money.ExchangeRates.OpenExchangeRates","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"decode_rates/1","anchor":"decode_rates/1"},{"id":"get_historic_rates/2","anchor":"get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"get_latest_rates/1"},{"id":"init/1","anchor":"init/1"}]}]},{"id":"Money.ExchangeRates.Retriever","title":"Money.ExchangeRates.Retriever","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"config/0","anchor":"config/0"},{"id":"delete/0","anchor":"delete/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"historic_rates/2","anchor":"historic_rates/2"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"reconfigure/1","anchor":"reconfigure/1"},{"id":"restart/0","anchor":"restart/0"},{"id":"retrieve_rates/2","anchor":"retrieve_rates/2"},{"id":"start/1","anchor":"start/1"},{"id":"stop/0","anchor":"stop/0"}]}]},{"id":"Money.ExchangeRates.Supervisor","title":"Money.ExchangeRates.Supervisor","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"delete_retriever/0","anchor":"delete_retriever/0"},{"id":"restart_retriever/0","anchor":"restart_retriever/0"},{"id":"retriever_running?/0","anchor":"retriever_running?/0"},{"id":"retriever_status/0","anchor":"retriever_status/0"},{"id":"start_link/0","anchor":"start_link/0"},{"id":"start_link/1","anchor":"start_link/1"},{"id":"start_retriever/1","anchor":"start_retriever/1"},{"id":"stop/0","anchor":"stop/0"},{"id":"stop_retriever/0","anchor":"stop_retriever/0"}]}]},{"id":"Money.Subscription","title":"Money.Subscription","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"id/0","anchor":"t:id/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"},{"id":"cancel_pending_plan/2","anchor":"cancel_pending_plan/2"},{"id":"change_plan/3","anchor":"change_plan/3"},{"id":"change_plan!/3","anchor":"change_plan!/3"},{"id":"current_interval_start_date/2","anchor":"current_interval_start_date/2"},{"id":"current_plan/2","anchor":"current_plan/2"},{"id":"current_plan_start_date/1","anchor":"current_plan_start_date/1"},{"id":"days_remaining/4","anchor":"days_remaining/4"},{"id":"latest_plan/1","anchor":"latest_plan/1"},{"id":"new/3","anchor":"new/3"},{"id":"new!/3","anchor":"new!/3"},{"id":"next_interval_starts/3","anchor":"next_interval_starts/3"},{"id":"plan_days/3","anchor":"plan_days/3"},{"id":"plan_pending?/2","anchor":"plan_pending?/2"}]}]},{"id":"Money.Subscription.Change","title":"Money.Subscription.Change","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"}]}]},{"id":"Money.Subscription.Plan","title":"Money.Subscription.Plan","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"interval/0","anchor":"t:interval/0"},{"id":"interval_count/0","anchor":"t:interval_count/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"},{"id":"new/3","anchor":"new/3"},{"id":"new!/3","anchor":"new!/3"}]}]},{"id":"Money.Ecto.Composite.Type","title":"Money.Ecto.Composite.Type","group":"Ecto","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"blank?/1","anchor":"blank?/1"},{"id":"cast/1","anchor":"cast/1"},{"id":"dump/1","anchor":"dump/1"},{"id":"load/1","anchor":"load/1"},{"id":"type/0","anchor":"type/0"}]}]},{"id":"Money.Ecto.Map.Type","title":"Money.Ecto.Map.Type","group":"Ecto","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"cast/1","anchor":"cast/1"},{"id":"dump/1","anchor":"dump/1"},{"id":"load/1","anchor":"load/1"},{"id":"type/0","anchor":"type/0"}]}]}],"tasks":[{"id":"Mix.Tasks.Money.Gen.Postgres.AggregateFunctions","title":"money.gen.postgres.aggregate_functions","group":""},{"id":"Mix.Tasks.Money.Gen.Postgres.Migration","title":"money.gen.postgres.migration","group":""}]}